post
https://app.shuttleglobal.com/c/api/instances/{instance_key}/payments
Create a new payment. The payment can be immediate or scheduled, one-time or recurring.
Unless rejected prior to processing, the API request will succeed and return a payment object
in a SUCCESS or DECLINE status.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Business Rules
The logic behind this operation, by what the request carries:
- Collect a contract's arrears now — body carries contract
- Set up a recurring or scheduled agreement — no contract named and the body carries frequency other than ONEOFF, start_date / start_days, scheduled_date / scheduled_days, or charges[]
- Take a one-off payment — no contract named and frequency ONEOFF or absent, with no start_date / start_days, scheduled_date / scheduled_days or charges[]
400Bad request - invalid parameters
401Unauthorized - invalid credentials